Access control

List access points

GET
/orgs/{organizationId}/access-points

Lists all access points with filtering, sorting, and pagination

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""name""type""actuatorType""isActive""description""physicalState""physicalStateChangedAt""lastLprHeartbeatAt""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
type?|array<>|
actuatorType?|array<>|
physicalState?|array<>|
isActive?boolean|string|number|null
physicalStateChangedAt?|null
lastLprHeartbeatAt?|null
createdAt?|null
updatedAt?|null
name?string|array<string>|
description?string|array<string>|
hasAccessLogEntries?boolean|string|number|null
hasNoAccessLogEntries?boolean|string|number|null
hasVehiclePresences?boolean|string|number|null
hasNoVehiclePresences?boolean|string|number|null
hasStateEvents?boolean|string|number|null
hasNoStateEvents?boolean|string|number|null
hasEventLogs?boolean|string|number|null
hasNoEventLogs?boolean|string|number|null
hasAuditLogs?boolean|string|number|null
hasNoAuditLogs?boolean|string|number|null
accessLogEntryId?string|array<string>|
accessControllerLinkId?string|array<string>|
vehiclePresenceId?string|array<string>|
stateEventId?string|array<string>|
eventLogId?string|array<string>|
auditLogId?string|array<string>|

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/access-points'
null